Bug 97434 - swap space section incorrectly suggests disk cannot be i use
swap space section incorrectly suggests disk cannot be i use
Product: Red Hat Linux
Classification: Retired
Component: rhl-cg (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tammy Fox
Tammy Fox
Depends On:
  Show dependency treegraph
Reported: 2003-06-15 15:01 EDT by Robert P. J. Day
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-16 16:38:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2003-06-15 15:01:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030530

Description of problem:
  Section 2.2, to add a swap partition, docs read,
"1. The hard drive cannot be in use ...".  Not technically
true -- you can add a new partition on an active drive, 
and format it as swap, although you *may* have to reboot to get the
new partition table enabled.

  That section seems to strongly suggest that the hard
drive can't currently be used *at all*, which isn't

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. read the docs :-)

Additional info:
Comment 1 Tammy Fox 2003-06-16 16:38:32 EDT
While it may work if the hard drive is not in use, the partition table should
not be modified while in use because the kernel may not properly recognize the
changes and because you could overwrite data by writing to a partition that
doesn't match with what you expect on disk. 

I'll add the reasons why the hard drive can not be in use to the next revision.

Note You need to log in before you can comment on or make changes to this bug.